Subject: [bug#51538] First Patch Submit Ever: Additions to the Cookbook Documentation

From: Julien Lepiller <[email-masked]>
Date: Mon, 08 Nov 2021 14:04:12 -0500

I think this is fine. The cookbook should recommend using Ctrl-L and suggest you can install clear with the ncurses package. We get that question from time to time, so I think it belongs to a FAQ :)

Le 8 novembre 2021 12:18:50 GMT-05:00, "pelzflorian (Florian Pelz)" <[email-masked]> a écrit :
>Disseminate, thank you for your work.
>
>On Mon, Nov 08, 2021 at 01:48:39PM +0000, Disseminate Dissent wrote:
>> Thanks for the comments Florian,
>> 
>> Added periods and removed whitespace.
>> 
>> In my initial Guix setup I was unable to clear the terminal with
>> neither `clear` nor C-l. Installing ncurses solved that issue and is
>> listed as a dependency for GNU Readline.
>
>Bash always enables readline as far as I can see.  Perhaps you used a
>system that disabled C-l in the ~/.inputrc file, which would also
>disable it for a Guix-installed bash?  Some Slackware users complain
>about non-working C-l on stackoverflow.  Anyway I will leave this
>patch for experienced guix commiters to decide; IMHO the clear command
>should not be needed with Guix and the cookbook so far contains only
>what can be done with Guix itself.  Even though I like the idea of a
>FAQ section and am happy about new Guix contributors such as you.
>
>As for the patch:
>
>On Mon, Nov 08, 2021 at 01:50:20PM +0000, Disseminate Dissent via Guix-patches via wrote:
>> Corrected missing periods and whitespace.
>>
>
>You have not addressed this latter passive Added instead of Add:
>
>On Mon, Nov 08, 2021 at 10:29:00AM +0100, pelzflorian (Florian Pelz) wrote:
>> For the commit message, Guix uses the active voice “Add a FAQ section
>> with …”.
>> 
>> 
>> > * doc/guix-cookbook.texi: Added FAQ section.
>> 
>> Here too.
>
>Then:
>
>On Mon, Nov 08, 2021 at 01:50:20PM +0000, Disseminate Dissent via Guix-patches via wrote:
>>  @menu
>>  * Scheme tutorials::            Meet your new favorite language!
>> -* Packaging::                   Packaging tutorials
>> -* System Configuration::        Customizing the GNU System
>> +* Packaging::                   Packaging tutorials.
>> +* System Configuration::        Customizing the GNU System.
>>  * Advanced package management:: Power to the users!
>> -* Environment management::      Control environment
>> +* Environment management::      Control environment.
>> +* FAQ::                         Commonly asked questions.
>
>Your commit should only add the period to your sentence; other
>sentences should remain untouched (fixing them belongs in a separate
>commit).  I should fix such things myself in other commits; probably I
>won’t do it.
>
>Other than that, it is a nicely written patch.
>
>It seems the issue when running the commands from
>`info "(guix)Building from Git"` is that the other menu
>
>> +@menu
>> +* How do I clear my terminal screen?
>> +@end menu
>
>does not contain double colons followed by a sentence like the other
>@menu.
>
>Regards,
>Florian
>
>
>
>